io.swagger.client.api

## Class LedgersApi

- java.lang.Object
- - io.swagger.client.api.LedgersApi

-     public class LedgersApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LedgersApi()`
    `LedgersApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiClient` | `getApiClient()`
    `LedgerList` | `ledgersGet(Integer top, Integer skip)` Lists the supported blockchain types, such as Ethereum or Hyperledger Fabric.
    `com.squareup.okhttp.Call` | `ledgersGetAsync(Integer top, Integer skip, ApiCallback<LedgerList> callback)` (asynchronously) Lists the supported blockchain types, such as Ethereum or Hyperledger Fabric.
    `com.squareup.okhttp.Call` | `ledgersGetCall(Integer top, Integer skip, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for ledgersGet
    `ApiResponse<LedgerList>` | `ledgersGetWithHttpInfo(Integer top, Integer skip)` Lists the supported blockchain types, such as Ethereum or Hyperledger Fabric.
    `void` | `setApiClient(ApiClient apiClient)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LedgersApi

          public LedgersApi()

    - #### LedgersApi

          public LedgersApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### ledgersGetCall

          public com.squareup.okhttp.Call ledgersGetCall(Integer top,
                                                         Integer skip,
                                                         ProgressResponseBody.ProgressListener progressListener,
                                                         ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                  throws ApiException

      Build call for ledgersGet
      Parameters:
        `top` - The maximum number of items to return (optional)
        `skip` - The number of items to skip before returning (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### ledgersGet

          public LedgerList ledgersGet(Integer top,
                                       Integer skip)
                                throws ApiException

      Lists the supported blockchain types, such as Ethereum or Hyperledger Fabric.
      Parameters:
        `top` - The maximum number of items to return (optional)
        `skip` - The number of items to skip before returning (optional)
      Returns:
        LedgerList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### ledgersGetWithHttpInfo

          public ApiResponse<LedgerList> ledgersGetWithHttpInfo(Integer top,
                                                                Integer skip)
                                                         throws ApiException

      Lists the supported blockchain types, such as Ethereum or Hyperledger Fabric.
      Parameters:
        `top` - The maximum number of items to return (optional)
        `skip` - The number of items to skip before returning (optional)
      Returns:
        ApiResponse<LedgerList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### ledgersGetAsync

          public com.squareup.okhttp.Call ledgersGetAsync(Integer top,
                                                          Integer skip,
                                                          ApiCallback<LedgerList> callback)
                                                   throws ApiException

      (asynchronously) Lists the supported blockchain types, such as Ethereum or Hyperledger Fabric.
      Parameters:
        `top` - The maximum number of items to return (optional)
        `skip` - The number of items to skip before returning (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2018. All rights reserved.